#ifndef _PRODINPROD_H
#define _PRODINPROD_H

#include <QDialog>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QTableWidget>

namespace Ui {
class ProdInprod;
}

class ProdInprod : public QDialog
{
    Q_OBJECT

public:
    explicit ProdInprod(QWidget *parent = nullptr);
    ~ProdInprod();

signals:
    void setStatus(QString);

private slots:
    void on_editButton_clicked();
    void on_insertButton_clicked();
    void refreshTable(void);

private:
    QGridLayout *gridLayout;
    QTableWidget *tableInprod;
    QGroupBox *groupBox;
    QHBoxLayout *horizontalLayout;
    QPushButton *quitButton;
    QPushButton *insertButton;

    void edit(int recno);
};

#endif
